<?xml version="1.0" encoding="UTF-8"?>
<jmeterTestPlan version="1.2" properties="5.0" jmeter="5.4.1">
  <hashTree>
    <kg.apc.jmeter.jmxmon.JMXMonCollector guiclass="kg.apc.jmeter.vizualizers.JMXMonGui" testclass="kg.apc.jmeter.jmxmon.JMXMonCollector" testname="JMXMon Memory Pool CMS" enabled="true">
      <boolProp name="ResultCollector.error_logging">false</boolProp>
      <objProp>
        <name>saveConfig</name>
        <value class="SampleSaveConfiguration">
          <time>true</time>
          <latency>true</latency>
          <timestamp>true</timestamp>
          <success>true</success>
          <label>true</label>
          <code>true</code>
          <message>true</message>
          <threadName>true</threadName>
          <dataType>true</dataType>
          <encoding>false</encoding>
          <assertions>true</assertions>
          <subresults>true</subresults>
          <responseData>false</responseData>
          <samplerData>false</samplerData>
          <xml>false</xml>
          <fieldNames>true</fieldNames>
          <responseHeaders>false</responseHeaders>
          <requestHeaders>false</requestHeaders>
          <responseDataOnError>false</responseDataOnError>
          <saveAssertionResultsFailureMessage>true</saveAssertionResultsFailureMessage>
          <assertionsResultsToSave>0</assertionsResultsToSave>
          <bytes>true</bytes>
          <sentBytes>true</sentBytes>
          <url>true</url>
          <threadCounts>true</threadCounts>
          <idleTime>true</idleTime>
          <connectTime>true</connectTime>
        </value>
      </objProp>
      <stringProp name="filename">~/${jmxResults}</stringProp>
      <longProp name="interval_grouping">1000</longProp>
      <boolProp name="graph_aggregated">false</boolProp>
      <stringProp name="include_sample_labels"></stringProp>
      <stringProp name="exclude_sample_labels"></stringProp>
      <stringProp name="start_offset"></stringProp>
      <stringProp name="end_offset"></stringProp>
      <boolProp name="include_checkbox_state">false</boolProp>
      <boolProp name="exclude_checkbox_state">false</boolProp>
      <collectionProp name="samplers">
        <collectionProp name="-524890248">
          <stringProp name="474547707">${hostA}-${portA}-Eden-Used</stringProp>
          <stringProp name="61019822">service:jmx:rmi:///jndi/rmi://${hostA}:${portA}/jmxrmi</stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="-1117505165">java.lang:type=MemoryPool,name=Par Eden Space</stringProp>
          <stringProp name="82021761">Usage</stringProp>
          <stringProp name="3599293">used</stringProp>
          <stringProp name="1237">false</stringProp>
          <stringProp name="1231">true</stringProp>
        </collectionProp>
        <collectionProp name="-159283440">
          <stringProp name="-219389382">${hostA}-${portA}-OldGen-Used</stringProp>
          <stringProp name="61019822">service:jmx:rmi:///jndi/rmi://${hostA}:${portA}/jmxrmi</stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="2057250650">java.lang:type=MemoryPool,name=CMS Old Gen</stringProp>
          <stringProp name="82021761">Usage</stringProp>
          <stringProp name="3599293">used</stringProp>
          <stringProp name="1237">false</stringProp>
          <stringProp name="1231">true</stringProp>
        </collectionProp>
        <collectionProp name="991497857">
          <stringProp name="1203156685">${hostA}-${portA}-Survivor-Used</stringProp>
          <stringProp name="61019822">service:jmx:rmi:///jndi/rmi://${hostA}:${portA}/jmxrmi</stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="1737159649">java.lang:type=MemoryPool,name=Par Survivor Space</stringProp>
          <stringProp name="82021761">Usage</stringProp>
          <stringProp name="3599293">used</stringProp>
          <stringProp name="1237">false</stringProp>
          <stringProp name="1231">true</stringProp>
        </collectionProp>
        <collectionProp name="-907028933">
          <stringProp name="-81670480">${hostA}-${portA}-Metaspace-Used</stringProp>
          <stringProp name="61019822">service:jmx:rmi:///jndi/rmi://${hostA}:${portA}/jmxrmi</stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="0"></stringProp>
          <stringProp name="-88711621">java.lang:type=MemoryPool,name=Metaspace</stringProp>
          <stringProp name="82021761">Usage</stringProp>
          <stringProp name="3599293">used</stringProp>
          <stringProp name="1237">false</stringProp>
          <stringProp name="1231">true</stringProp>
        </collectionProp>
      </collectionProp>
    </kg.apc.jmeter.jmxmon.JMXMonCollector>
    <hashTree/>
  </hashTree>
</jmeterTestPlan>
